curl --request GET \
--url https://api.aries.com/v1/options/unusual_activity/{symbol} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/options/unusual_activity/{symbol}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/options/unusual_activity/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/options/unusual_activity/{symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/options/unusual_activity/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/options/unusual_activity/{symbol}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/options/unusual_activity/{symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next_page": "https://api.aries.com/v1/options/unusual_activity/AAPL?next_page=eyJwYWdlIjoyfQ==",
"trades": [
{
"ask_at_execution": 7.15,
"average_price": 7.15,
"bid_at_execution": 6.95,
"contract": "AAPL__260306P00280000",
"sentiment": "bearish",
"symbol": "AAPL",
"timestamp": "2026-02-25T20:55:00.1041000+00:00",
"total_size": 200,
"total_value": 143000.0019,
"type": "block",
"underlying_price_at_execution": 274.59
}
]
}Options Unusual Activity by Symbol
Retrieve options unusual activity for a specific underlying symbol (e.g. AAPL, TSLA). Returns options unusual activity data such as unusual volume and block trades.
Use Case: Show unusual options activity for a single underlying (e.g. on a stock detail page) to surface notable call/put flow and block trades.
curl --request GET \
--url https://api.aries.com/v1/options/unusual_activity/{symbol} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/options/unusual_activity/{symbol}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/options/unusual_activity/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/options/unusual_activity/{symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/options/unusual_activity/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/options/unusual_activity/{symbol}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/options/unusual_activity/{symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next_page": "https://api.aries.com/v1/options/unusual_activity/AAPL?next_page=eyJwYWdlIjoyfQ==",
"trades": [
{
"ask_at_execution": 7.15,
"average_price": 7.15,
"bid_at_execution": 6.95,
"contract": "AAPL__260306P00280000",
"sentiment": "bearish",
"symbol": "AAPL",
"timestamp": "2026-02-25T20:55:00.1041000+00:00",
"total_size": 200,
"total_value": 143000.0019,
"type": "block",
"underlying_price_at_execution": 274.59
}
]
}Path parameter
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Underlying stock symbol (e.g. AAPL, TSLA). |
Response
Success returns200 OK with a JSON object containing a trades array. Each trade includes:
| Field | Type | Description |
|---|---|---|
symbol | string | Underlying symbol (e.g. AAPL) |
timestamp | string | Trade timestamp (ISO 8601) |
type | string | Trade type (e.g. block) |
total_value | number | Total dollar value of the trade |
total_size | number | Total contract size |
average_price | number | Average price per contract |
contract | string | Option contract identifier |
ask_at_execution | number | Ask price at execution |
bid_at_execution | number | Bid price at execution |
sentiment | string | Sentiment (e.g. bearish, bullish) |
underlying_price_at_execution | number | Underlying price at execution |
{
"trades": [
{
"symbol": "AAPL",
"timestamp": "2026-02-25T20:55:00.1041000+00:00",
"type": "block",
"total_value": 143000.0019,
"total_size": 200,
"average_price": 7.15,
"contract": "AAPL__260306P00280000",
"ask_at_execution": 7.15,
"bid_at_execution": 6.95,
"sentiment": "bearish",
"underlying_price_at_execution": 274.59
}
]
}
400 when symbol is missing or invalid, 401 unauthorized, 500 when the feature is not available or server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Path Parameters
Underlying stock symbol (e.g. AAPL, TSLA).
Query Parameters
Data source. Values are case-insensitive.
realtime, delayed Response
Options unusual activity: object with trades array. Each trade has symbol, timestamp, type (e.g. block), total_value, total_size, average_price, contract, ask_at_execution, bid_at_execution, sentiment, underlying_price_at_execution.
Was this page helpful?